GenericTest (Resource Management Library 2.6.0-3.10.0 API)
Date: 2016-02-09

org.gcube.resourcemanagement.support.server.tests

## Class GenericTest

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.tests.GenericTest

-     public class GenericTest
      extends Object

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static String` | `testCreation()`
    `static void` | `testDelete(String resID, org.gcube.common.scope.impl.ScopeBean scope)`
    `static void` | `testGHN()`
    `static void` | `testModeGHN(String resID, String scope)`
    `static void` | `testRemoveFromScope(String resID, org.gcube.common.scope.impl.ScopeBean scope)`
    `static void` | `testResourceEdit(String resID, org.gcube.common.scope.impl.ScopeBean scope)`
    `static void` | `testScopeCopy(String resID, String fromScope, String toScope)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericTest

          public GenericTest()

  - ### Method Detail

    - #### testCreation

          public static String testCreation()

    - #### testScopeCopy

          public static void testScopeCopy(String resID,
                           String fromScope,
                           String toScope)

    - #### testResourceEdit

          public static void testResourceEdit(String resID,
                              org.gcube.common.scope.impl.ScopeBean scope)

    - #### testModeGHN

          public static void testModeGHN(String resID,
                         String scope)
                                  throws Exception

      Throws:
        `Exception`

    - #### testGHN

          public static void testGHN()

    - #### testRemoveFromScope

          public static void testRemoveFromScope(String resID,
                                 org.gcube.common.scope.impl.ScopeBean scope)

    - #### testDelete

          public static void testDelete(String resID,
                        org.gcube.common.scope.impl.ScopeBean scope)

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2016. All Rights Reserved.